%define module_name JIP-Conf
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(Hash/AsObject.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.021
Release: alt1
Summary: Perl-ish configuration plugin
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VL/VLADIMIRZ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use JIP::Conf;

    my $hash_ref = JIP::Conf::init(
        '/path/to/conf.pm',
        'Namespace::name_of_hashref',
    );

    print qq{cmp_ok\n}
        if $hash_ref->{'parent'}->{'child'} eq $hash_ref->parent->child;
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/J*

%changelog
* Sun Jan 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.021-alt1
- regenerated from template by package builder

* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

